D4Science Infrastructure - Support #8596

Install Knime on DataMiner machines
May 15, 2017 04:26 PM - Gianpaolo Coro

Status: Closed Start date: May 15, 2017
Priority: Normal Due date:

Assignee: _InfraScience Systems Engineer % Done: 100%
Category: High-Throughput-Computing Estimated time: 0.00 hour
Infrastructure: Production

Description

| need a feasibility check for installing the Knime engine on the Dataminer prototype machines. The engine is downloadable from
here: https://www.knime.org/downloads/overview

| do not need the Knime service, but just to invoke the engine from command line.

Related issues:
Related to D4Science Infrastructure - Task #8965: Install Knime on dev DataMi... Closed Jun 15, 2017

History

#2 - May 16, 2017 12:50 PM - Andrea Dell'Amico

- Status changed from New to Feedback

| downloaded and tried to run it on datamineri-devnext.d4science.org but it always requires a graphical display. It cannot be run on a server, even as
a standalone command.

| see that a server version exists, but it's commercial only.

#3 - May 16, 2017 01:14 PM - Gianpaolo Coro

- File SimpleSample.knwf added

- Status changed from Feedback to In Progress

After some struggling, | have found a way to execute the workflow via command line. On the Windows OS it is

"C:\Program Files\KNIME\knime.exe" -reset -consoleLog -nosplash -application org.knime.product. KNIME_BATCH_APPLICATION
-workflowFile=SimpleSample.knwf -destFile=out.zip -workflow.variable=test,"besttest",String

The same should be on the Linux OS (mutatis mutandis)

It produces a testcsv file and an out.zip file (containing all the WF steps)

The sample WF is attached.

Is it possible to make the knime executable available as a OS Path variable?
#4 - May 16, 2017 01:30 PM - Andrea Dell'Amico

| can confirm that it works on linux too.

On dataminer1-devnext.d4science.org | created the script /usr/local/bin/knime that should be immediately available as knime. The script calls the real
binary with all the arguments after a cd /<path>/<to>/<knime_install_dir>.

Are you able to try?
Beware that if you do not specify absolute paths for the arguments and the output file it will try to write inside the /opt/knime/knime_3.3.2/ directory
that's root owned (and you don't want to write into that place, anyway)

#5 - May 16, 2017 04:17 PM - Andrea Dell'Amico

| changed the script so that it runs without leaving the directory from where it's called.

#6 - May 17, 2017 03:40 PM - Gianpaolo Coro
- Status changed from In Progress to Closed

- % Done changed from 0 to 100
It works well, thanks!

#7 - May 17, 2017 03:45 PM - Andrea Dell'Amico

A couple of questions:

1. did you need the basic o full version?
2. do we will need to install it on the other dataminer? right now | installed it manually

#8 - May 17, 2017 03:51 PM - Gianpaolo Coro

1 - currently I'm using the full version, but the base version is faster. Perhaps in the future our users will want to use both.
2 - I'm going to produce demo processes that use Knime. For the time being, | only need the current installations on the prototyping VRE. When 'l
have one real workflow to install in the production VREs, | will open another ticket.

#9 - Jun 19, 2017 02:48 PM - Andrea Dell'Amico
- Related to Task #8965: Install Knime on dev DataMiner machines added

Files

SimpleSample.knwf 7.68 KB May 16, 2017 Gianpaolo Coro
